## r-cran-prodlim 2018.04.18

=== DESCRIPTION ===
Package: prodlim
Title: Product-Limit Estimation for Censored Event History Analysis
Version: 2018.04.18
Author: Thomas A. Gerds
Description: Fast and user friendly implementation of nonparametric estimators
    for censored event history (survival) analysis. Kaplan-Meier and
    Aalen-Johansen method.
Depends: R (>= 2.9.0)
Imports: Rcpp (>= 0.11.5), stats, graphics, survival, KernSmooth, lava
LinkingTo: Rcpp
Maintainer: Thomas A. Gerds <tag@biostat.ku.dk>
License: GPL (>= 2)
Packaged: 2018-04-18 06:30:07 UTC; tag
RoxygenNote: 6.0.1
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2018-04-18 08:19:40 UTC

## r-cran-prodlim 1.6.1

=== debian/changelog ===
r-cran-prodlim (1.6.1-1) unstable; urgency=medium

  * Initial release (closes: #880989)

 -- Andreas Tille <tille@debian.org>  Mon, 06 Nov 2017 19:31:27 +0100

=== debian/control ===
Source: r-cran-prodlim
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r,
               r-base-dev,
               r-cran-rcpp (>= 0.11.5),
               r-cran-survival,
               r-cran-kernsmooth,
               r-cran-lava
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-prodlim.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-prodlim.git
Homepage: https://cran.r-project.org/package=prodlim

Package: r-cran-prodlim
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R product-limit estimation for Censored Event History Analysis
 Fast and user friendly implementation of nonparametric estimators
 for censored event history (survival) analysis. Kaplan-Meier and
 Aalen-Johansen method.

## r-cran-prodlim 2018.04.18

=== debian/changelog ===
r-cran-prodlim (2018.04.18-2) unstable; urgency=medium

  * Team upload.
  * Maintainer: Debian R Packages Maintainers
  * Standards-Version: 4.2.1
  * Add Testsuite: autopkgtest-pkg-r

 -- Dylan Aïssi <daissi@debian.org>  Thu, 13 Dec 2018 22:41:39 +0100

r-cran-prodlim (2018.04.18-1) unstable; urgency=medium

  * New upstream version
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Fri, 20 Apr 2018 09:22:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: r-cran-prodlim
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                dh-r,
                r-base-dev,
                r-cran-rcpp (>= 0.11.5),
                r-cran-survival,
                r-cran-kernsmooth,
                r-cran-lava
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-prodlim.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-prodlim.git
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-prodlim
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-prodlim.git
 Homepage: https://cran.r-project.org/package=prodlim
 
 Package: r-cran-prodlim

## r-cran-prodlim 2019.11.13

=== DESCRIPTION ===
Package: prodlim
Title: Product-Limit Estimation for Censored Event History Analysis
Version: 2019.11.13
Author: Thomas A. Gerds
Description: Fast and user friendly implementation of nonparametric estimators
    for censored event history (survival) analysis. Kaplan-Meier and
    Aalen-Johansen method.
Depends: R (>= 2.9.0)
Imports: Rcpp (>= 0.11.5), stats, grDevices, graphics, survival,
        KernSmooth, lava
LinkingTo: Rcpp
Maintainer: Thomas A. Gerds <tag@biostat.ku.dk>
License: GPL (>= 2)
Packaged: 2019-11-17 12:08:13 UTC; tag
RoxygenNote: 6.1.1
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2019-11-17 12:40:02 UTC

=== debian/changelog ===
r-cran-prodlim (2019.11.13-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 20 Nov 2019 10:17:59 +0100

r-cran-prodlim (2019.10.13-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * rename debian/tests/control.autodep8 to debian/tests/control
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g
  * Deactivate autopkgtest which is not working
  * Set upstream metadata fields: Archive.

 -- Andreas Tille <tille@debian.org>  Tue, 12 Nov 2019 13:35:11 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-rcpp (>= 0.11.5),
                r-cran-survival,
                r-cran-kernsmooth,
                r-cran-lava
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-prodlim
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-prodlim.git
 Homepage: https://cran.r-project.org/package=prodlim

## r-cran-prodlim 2023.03.31

=== debian/changelog ===
r-cran-prodlim (2023.03.31-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 28 Jun 2023 11:09:01 +0200

## r-cran-prodlim 2023.08.28

=== DESCRIPTION ===
Package: prodlim
Title: Product-Limit Estimation for Censored Event History Analysis
Version: 2023.08.28
Author: Thomas A. Gerds
Description: Fast and user friendly implementation of nonparametric estimators
    for censored event history (survival) analysis. Kaplan-Meier and
    Aalen-Johansen method.
Depends: R (>= 2.9.0)
Imports: Rcpp (>= 0.11.5), stats, data.table, grDevices, graphics,
        diagram, survival, KernSmooth, lava
LinkingTo: Rcpp
Maintainer: Thomas A. Gerds <tag@biostat.ku.dk>
License: GPL (>= 2)
Packaged: 2023-08-28 09:26:22 UTC; tag
RoxygenNote: 7.2.3
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2023-08-28 11:00:06 UTC

=== debian/changelog ===
r-cran-prodlim (2023.08.28-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 01 Sep 2023 11:55:37 +0200

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,20 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-rcpp (>= 0.11.5),
+               r-cran-rcpp,
+               r-cran-data.table,
+               r-cran-diagram,
                r-cran-survival,
                r-cran-kernsmooth,
                r-cran-lava
-Standards-Version: 4.4.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-prodlim
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-prodlim.git
 Homepage: https://cran.r-project.org/package=prodlim
+Rules-Requires-Root: no
 
 Package: r-cran-prodlim
 Architecture: any

## r-cran-prodlim 2024.06.25

=== DESCRIPTION ===
Package: prodlim
Title: Product-Limit Estimation for Censored Event History Analysis
Version: 2024.06.25
Author: Thomas A. Gerds
Description: Fast and user friendly implementation of nonparametric estimators
    for censored event history (survival) analysis. Kaplan-Meier and
    Aalen-Johansen method.
Depends: R (>= 2.9.0)
Imports: Rcpp (>= 0.11.5), stats, data.table, grDevices, graphics,
        diagram, survival, KernSmooth, lava
LinkingTo: Rcpp
Maintainer: Thomas A. Gerds <tag@biostat.ku.dk>
BugReports: https://github.com/tagteam/prodlim/issues
License: GPL (>= 2)
Packaged: 2024-06-24 10:50:55 UTC; tag
RoxygenNote: 7.3.1
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2024-06-24 13:50:02 UTC

=== debian/changelog ===
r-cran-prodlim (2024.06.25-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Charles Plessy <plessy@debian.org>  Fri, 19 Jul 2024 10:19:17 +0900

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                r-cran-survival,
                r-cran-kernsmooth,
                r-cran-lava
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-prodlim
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-prodlim.git
 Homepage: https://cran.r-project.org/package=prodlim

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/prodlim_([-\d.]*)\.tar\.gz

## r-cran-prodlim 2025.04.28

=== debian/changelog ===
r-cran-prodlim (2025.04.28-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)
  * Fix autopkgtests and add r-cran-etm, r-cran-riskregression and
    r-cran-survey to their dependencies.
  * Skip one test until r-cran-pseudo is packaged in Debian.

 -- Charles Plessy <plessy@debian.org>  Fri, 13 Feb 2026 10:26:29 +0900

=== debian/control ===
Source: r-cran-prodlim
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-rcpp,
 r-cran-rlang,
 r-cran-data.table,
 r-cran-ggplot2,
 r-cran-diagram,
 r-cran-survival,
 r-cran-kernsmooth,
 r-cran-lava,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-prodlim
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-prodlim.git
Homepage: https://cran.r-project.org/package=prodlim
Rules-Requires-Root: no

Package: r-cran-prodlim
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: GNU R product-limit estimation for Censored Event History Analysis
 Fast and user friendly implementation of nonparametric estimators
 for censored event history (survival) analysis. Kaplan-Meier and
 Aalen-Johansen method.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-tibble,
 r-cran-pammtools,
 r-cran-ggthemes,
 r-cran-testthat,
 r-cran-etm,
 r-cran-riskregression,
 r-cran-survey,
